<template>
  <div class="app">
    <vue-headful
            title="HackaMarket | About "
             description="Sección donde damos alguna que otra explicación sobre HackaMarket"
        />


    <section>
      <h1>About</h1>
      <h2>de Hack&Market</h2>
      <div class="container">
        <div class="text">
          <h2>Axios</h2>
          <p>Axios es una librería JavaScript que puede ejecutarse en el navegador y que nos permite hacer sencillas las operaciones como cliente HTTP, por lo que podremos configurar y realizar solicitudes a un servidor y recibiremos respuestas fáciles de procesar.</p>
        
          <h2>SweetAlert2</h2>
          <p>de Tristan Edward, esta librería es muy versátil, usandola para mostrar modales de información, alerta y error</p>
        
          <h2>Vue-headful</h2>
          <p>Con esta librería en este proyecto cambiamos el título de cada página aunque Vue-headful no solo admite el título, sino también varias metaetiquetas y el idioma del documento.</p>
        </div>
        <div class="user">
          Nombre:
          <strong>Adolfo Maragoto</strong>
          <br>
          Módulo:
          <strong>Vue</strong>
          <br>
          Proyecto:
          <strong>Hack&Market</strong>
          <br>
          Redes Sociales:
          <br>
          <a href="https://es.linkedin.com/in/adolfomaragoto" target="_blank" alt="linkedin"><img src="../assets/ico_linkedin.png" class="icon"></a>
          <a href="https://twitter.com/adolfomaragoto" target="_blank" alt="twitter"><img src="../assets/ico_twitter.png" class="icon"></a>

          <!-- <img src="https://mir-s3-cdn-cf.behance.net/project_modules/disp/e3423893645233.5eb10b7eaada4.png"> -->
        </div>

      </div> 
    </section>
  </div>
</template>

<script>
export default {
  name: 'About',
  components: {
  }
}
</script>
<style scoped>
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.container {
  margin-top: var(--spacer50px);
  display: flex;
  width: 100%;
  /* height: var(--size100vh);; */
  padding: 0.5rem;
}

.text {
  width: var(--spacer75pc);
  padding:  var(--spacer25px);
  text-align: left;
}
.text p {
  padding-bottom: var(--spacer25px);
}
.user{
    width: var(--spacer50pc);
    text-align: left;
    padding:  var(--spacer25px);
    line-height: var(--spacer25px);
    border-left: 5px solid var(--bg-bluegrey);
    background-color: var(--bg-bluegrey);
    color: var(--bg-white);

}

.app {
  display: flex;
  flex-direction: column;
  min-height: calc( var(--size100vh) - 100px);
  background-color: var(--bg-white);
}
/* .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 1;
  background: url(https://images.unsplash.com/photo-1441984904996-e0b6ba687e04?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1650&q=80) no-repeat
    center / cover;
} */
/* .app {
  background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/e3423893645233.5eb10b7eaada4.png) no-repeat
    right ;
} */
 h1 {
   padding-top: var(--spacer100px);
   margin-bottom: -20px;
   font-size: var(--size100px)
  }
  h2 {
    margin-top: 0px;
  }
.icon {
  width:var(--size32px);
  padding:var(--size5px);
}

    @media only screen and (max-width: 425px){
        
      h1 {
        padding-top: var(--spacer200px);
      }
      .container {
        display:block;
      }
      .text {
        width: var(--spacer100pc);
      }
      .user{
        width: var(--spacer100pc);
      }
    }
</style>
